<?php
// Call in the XComponents engine and options file
define('MOD_PHP', substr(PHP_SAPI, 0, 3) != 'cgi'); // Are we running as mod_php?
define('DOCROOT', 
	MOD_PHP && isset($_SERVER['DOCUMENT_ROOT']) ? 
		$_SERVER['DOCUMENT_ROOT'] : 
		(
			MOD_PHP && isset($_SERVER['SCRIPT_FILENAME']) ? 
				substr($_SERVER['SCRIPT_FILENAME'], 0, 0-strlen($_SERVER['PHP_SELF'])) : 
				(
					substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) != '' ?
						substr(str_repeat('../', count(explode('/', preg_replace('_/+_', '/', $_SERVER['PHP_SELF'])))-2), 0, -1) :
						'.'
				)
		)
	);
include(DOCROOT . '/dmx/dmx_options.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_handler.php');
include(DOCROOT . '/dmx/core/php/dmx_shop_components.php');

unset($_SESSION['ABS_OPT'], $_SESSION['ABS_SEO'], $_SESSION['ABS_SUB']);  // Force Easy SEO recompile

// Abs code starts here
$abs_root = '';
@include(DOCROOT . '/abs_version_control.php');
include(DOCROOT . $abs_root . '/common/authenticate.php');
include(DOCROOT . $abs_root . '/common/header.php');

?>

<style type="text/css">

h3 { color: #111; }

</style>

<!-- MAIN CONTENT AREA -->
<div id="main_area" onmouseover="sub_menu_hide();">
	<div id="main_area_content">
		
		<div class="main_column">
		<!-- ----------------- -->
		<!-- BEGIN MAIN COLUMN -->
		<!-- ----------------- -->
			
		<h1>dmABS admin area</h1>
		
		<!-- --------------- -->
		<!-- END MAIN COLUMN -->
		<!-- --------------- -->
		</div>
		
		<div class="sidebar">
		<!-- ------- -->
		<!-- SIDEBAR -->
		<!-- ------- -->
					
			<div class="sidebar_box_heading">
				<h2>Controls</h2>
			</div>
			<div class="sidebar_box_content">
				<div>
					
					<h2>Content Management</h2>
					<p>
					<a href="manage_panels.php">Manage Panels and Panel Updates</a>
					<br>
					<a href="version_date.php">Set Edit Date &amp; Version</a>
					<br>
					<a href="adaptingbody/index.php">Show Adapting Bodies</a>
					</p>
					
					<h2>SEO</h2>
					<p>
					<a href="seo_regenerate.php">Reload Easy SEO Data</a>
					</p>
			
					<h2>Security</h2>
					<p>
					<a href="set_pw.php">Reset Username and Password</a>
					</p>
					
				</div>
			</div>

		<!-- ----------- -->
		<!-- END SIDEBAR -->
		<!-- ----------- -->
		</div>
		
	</div>
</div>
<!-- END MAIN CONTENT AREA -->

<br style="clear: both;">
<br>

<?php include(DOCROOT . $abs_root . '/common/footer.php'); ?>
